Extending Qt Creator Manual | VcsConfigurationPage

Extending Qt Creator Manual 4.5.2

# VcsConfigurationPage Class

(VcsBase::VcsConfigurationPage)

Inherits: | Utils::WizardPage

- List of all members, including inherited members

## Public Functions

| VcsConfigurationPage()
| ~VcsConfigurationPage() override
void | initializePage() override
bool | isComplete() const override
void | setVersionControl(const Core::IVersionControl *vc)
void | setVersionControlId(const QString &id)

- 4 public functions inherited from Utils::WizardPage

### Additional Inherited Members

- 1 signal inherited from Utils::WizardPage

## Member Function Documentation

### VcsConfigurationPage::VcsConfigurationPage()

Default constructs an instance of VcsConfigurationPage.

### VcsConfigurationPage::~VcsConfigurationPage()

Destroys the instance of VcsConfigurationPage.

### void VcsConfigurationPage::initializePage()

### bool VcsConfigurationPage::isComplete() const

### void VcsConfigurationPage::setVersionControl(const Core::IVersionControl *vc)

### void VcsConfigurationPage::setVersionControlId(const QString &id)